Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_MECHANISM_INFO

    java.lang.Object
      iaik.pkcs.pkcs11.wrapper.CK_MECHANISM_INFO

public class CK_MECHANISM_INFO
extends Object

class CK_MECHANISM_INFO provides information about a particular mechanism.

PKCS#11 structure:

     typedef struct CK_MECHANISM_INFO {
       CK_ULONG ulMinKeySize;
       CK_ULONG ulMaxKeySize;
       CK_FLAGS flags;
     } CK_MECHANISM_INFO;

Field Summary
`long` | `flags` PKCS#11: CK_FLAGS flags;
`long` | `ulMaxKeySize` PKCS#11: CK_ULONG ulMaxKeySize;
`long` | `ulMinKeySize` PKCS#11: CK_ULONG ulMinKeySize;

Constructor Summary
`CK_MECHANISM_INFO()`

Method Summary
`String` | `toString()` Returns the string representation of CK_MECHANISM_INFO.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ulMinKeySize

    public long ulMinKeySize

  PKCS#11:

         CK_ULONG ulMinKeySize;

### ulMaxKeySize

    public long ulMaxKeySize

  PKCS#11:

         CK_ULONG ulMaxKeySize;

### flags

    public long flags

  PKCS#11:

         CK_FLAGS flags;

Constructor Detail

### CK_MECHANISM_INFO

    public CK_MECHANISM_INFO()

Method Detail

### toString

    public String toString()

  Returns the string representation of CK_MECHANISM_INFO.

  Returns:
    the string representation of CK_MECHANISM_INFO

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.